//-----------------------------------------------------------------------------
#ifndef UART_H_
#define UART_H_
//----------------------------------------------------------------------------
// USART definitions
#define BAUD                          9600L
#define UBRRVAL                       ((F_CPU / (BAUD * 16)) - 1)
#if (UBRRVAL > 4095)
  #error "Bad value of macro UBRRVAL"
#endif

// function prototypes
void uart_init(void);
void uart_send_byte(uint8_t bt);
uint8_t uart_read_byte(void);

//-----------------------------------------------------------------------------
#endif
//-----------------------------------------------------------------------------
